## org.hibernate.cache.entry
Class StructuredMapCacheEntry

    java.lang.Object
      org.hibernate.cache.entry.StructuredMapCacheEntry

All Implemented Interfaces:
  CacheEntryStructure

    public class StructuredMapCacheEntry

extends Object
implements CacheEntryStructure

Author:
  Gavin King

Constructor Summary
`StructuredMapCacheEntry()`

Method Summary
`Object` `destructure(Object item, SessionFactoryImplementor factory)`
`Object` `structure(Object item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredMapCacheEntry

    public StructuredMapCacheEntry()

Method Detail

### structure

    public Object structure(Object item)

  Specified by:
    `structure` in interface `CacheEntryStructure`

### destructure

    public Object destructure(Object item,
                              SessionFactoryImplementor factory)

  Specified by:
    `destructure` in interface `CacheEntryStructure`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.